Bug 245941

Summary: lang/ccl [patch] Update for release 1.12
Product: Ports & Packages Reporter: Sean Champ <lab+bsd>
Component: Individual Port(s)Assignee: Jimmy Olgeni <olgeni>
Status: Closed FIXED    
Severity: Affects Only Me CC: linimon
Priority: --- Flags: bugzilla: maintainer-feedback? (olgeni)
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
Patch for head changeset in patch-branch ci/patch-lang-ccl-new-release at the thinkum-sys contrib mirror of FreeBSD ports
none
Changes for 1.12 none

Description Sean Champ 2020-04-26 16:54:01 UTC
Created attachment 213818 [details]
Patch for head changeset in patch-branch ci/patch-lang-ccl-new-release at the thinkum-sys contrib mirror of FreeBSD ports

Hello,

I've attached a patch, such that provides an approach for building the lang/ccl port with CCL 1.12. 

Known limitations:
* This patch does not include any support for cross-compiling with CCL. The resulting port would only be available for amd64 architectures.

This patch has been tested in a build under FreeBSD 12.1. The resulting pkg has been tested, to a limited extent, under SLIME.

I've also published the changeset under a patch branch at a contrib mirror for FreeBSD ports, thinkum-sys group at GitHub
https://github.com/thinkum-sys/freebsd-ports/tree/ci/patch-lang-ccl-new-release

Summary of changes:

* Updated PORTVERSION

* Added declarations for using the Clozure CCL repository at GitHub

* Added a distfile, such that provides fx86cl64 and fx86cl64.image as
  well a number of *.cdb files. In order to integrate with the distfile
  management for USE_GITHUB, this distfile is extracted in post-extract,
  while initially excluded from EXTRACT_ONLY

  As a side-effect of this change, the build presently cannot be
  produced for i386

* Removed previous BROKEN_* declarations - this may need further testing

* Ran make makesum, updating distinfo

* Updated patch files
 files/patch-lisp-kernel_freebsdx8632_Makefile
 files/patch-lisp-kernel_freebsdx8664_Makefile

Upstream src is now using a VC_REVISION declaration. For purpose of
information in debug, the original GitHub tag name will be applied in
the patched Makefile, with subst in post-patch.

* Removed patch files
 lang/ccl/files/patch-lisp-kernel_platform-freebsdx8632.h
 lang/ccl/files/patch-lisp-kernel_platform-freebsdx8664.h

These patch file were added in FreeBSD ports revision 465746, 27 March,
2018 https://svnweb.freebsd.org/changeset/ports/465746 furthermore
referenced in Bug 226809 - lang/ccl: Include <machine/trap.h> explicitly
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=226809

A changeset had been published to the CCL source repository, 4 January
2018, such that the changeset had added a similar change into the
upstream source tree - at an ealier time, that year - moreover providing
compatibility for FreeBSD releases previous to 9.1. That changeset is
available in the CCL GitHub repository, under changeset
a608a598d3854f65880f31858145839e5aa66178

* Removed patch files:
 files/patch-lisp-kernel_memory.c

The absence of a MAP_NORESERVE declaration is now addresed in memory.c
with a default definition of MAP_NORESERVE as 0, when the constant is
otherwise undefined.
Comment 1 Jimmy Olgeni freebsd_committer 2020-05-28 11:18:50 UTC
Created attachment 214960 [details]
Changes for 1.12

I made a few changes for portlint and distfile loading - seems to work so far!

If you don't see anything wrong it should be good to go.
Comment 2 Mark Linimon freebsd_committer freebsd_triage 2020-07-25 23:57:26 UTC
To submitter: do the proposed changes fix the problem?
Comment 3 commit-hook freebsd_committer 2020-08-10 07:38:02 UTC
A commit references this bug:

Author: olgeni
Date: Mon Aug 10 07:37:02 UTC 2020
New revision: 544599
URL: https://svnweb.freebsd.org/changeset/ports/544599

Log:
  Update lang/ccl to version 1.12 and unbreak.

  - i386 no longer supported :(

  PR:           245941 (with changes)
  Submitted by: Sean Champ <lab+bsd@thinkum.space>

Changes:
  head/lang/ccl/Makefile
  head/lang/ccl/distinfo
  head/lang/ccl/files/patch-lisp-kernel_freebsdx8632_Makefile
  head/lang/ccl/files/patch-lisp-kernel_freebsdx8664_Makefile
  head/lang/ccl/files/patch-lisp-kernel_memory.c
  head/lang/ccl/files/patch-lisp-kernel_platform-freebsdx8632.h
  head/lang/ccl/files/patch-lisp-kernel_platform-freebsdx8664.h
  head/lang/ccl/pkg-plist